New: Try Gatekeeper (Beta) for significantly lower latency. Learn More
返回分类账中已确认区块的身份和交易信息。
cURL
curl --request POST \ --url 'https://mainnet.helius-rpc.com/?api-key=' \ --header 'Content-Type: application/json' \ --data ' { "jsonrpc": "2.0", "id": "1", "method": "getBlock", "params": [ 430 ] } '
{ "jsonrpc": "2.0", "id": "<string>", "result": { "blockhash": "DUCT8VSgk2BXkMhQfxKVYfikEZCQf4dZ4ioPdGdaVxMN", "previousBlockhash": "HA2fJgGqmQezCXJRVNZAWPbRMXCPjUyo7VjRF47JGdYs", "parentSlot": 429, "transactions": [ { "meta": {}, "transaction": { "message": { "accountKeys": [ "<string>" ], "header": { "numReadonlySignedAccounts": 123, "numReadonlyUnsignedAccounts": 123, "numRequiredSignatures": 123 }, "instructions": [ { "accounts": [ 123 ], "data": "<string>", "programIdIndex": 123, "stackHeight": 123 } ], "recentBlockhash": "<string>" }, "signatures": [ "<string>" ] } } ], "blockTime": null, "blockHeight": null, "rewards": [ { "pubkey": "<string>", "lamports": 123, "rewardType": "<string>" } ] } }
u64
finalized
json
jsonParsed
base58
base64
full
accounts
signatures
none
您的 Helius API 密钥。您可以在仪表板中免费获取一个。
JSON-RPC协议版本。
2.0
请求的唯一标识符。
"1"
要调用的RPC方法名称。
getBlock
请求的参数。
作为u64整数的槽号。
430
成功检索到区块详情。
Show child attributes
此页面对您有帮助吗?